SAM
SAMConnection->commit
SAM
PHP Manual

# SAM Functions

## Predefined Classes

## SAMConnection

Object representing a connection to a Messaging Server

## Constructor

- new SAMConnection - construct a new connection object to allow connection to a messaging infrastructure.

## Methods

- commit - a method that commits (successfully completes) an in-flight unit of work.

- connect - a method that connects a PHP script to a messaging server.

- disconnect - a method that disconnects a PHP script from a messaging server.

- isConnected - a method that checks whether a PHP script is connected to a messaging server.

- peek - a method that receives a message from a queue without removing it from the queue.

- peekAll - a method that receives one or messages from a queue without removing them from the queue.

- receive - a method that receives a message from a queue or subscription.

- remove - a method that removes a message from a queue.

- rollback - a method that cancels (rolls back) an in-flight unit of work.

- send - a method that sends a message to a queue or posts to a topic

- setDebug - a method that switches additional debugging output on or off

- subscribe - a method that creates a subscription to one or more topics

- unsubscribe - a method that destroys a subscription to one or more topics

## Properties

- errno - the numeric error code for the last encountered error on this connection. This property is set to 0 if the last operation was successful.

- error - the text description for the last encountered error on this connection

## SAMMessage

Object representing a message to be sent or received

## Constructor

- new SAMMessage - construct a new message.

## Properties

- body - the body of the message.

- header - the header properties of the message.

## Table of Contents

- SAMConnection->commit — Commits (completes) the current unit of work.
- SAMConnection->connect — Establishes a connection to a Messaging Server
- SAMConnection->__construct — Creates a new connection to a Messaging Server
- SAMConnection->disconnect — Disconnects from a Messaging Server
- SAMConnection->errno — Contains the unique numeric error code of the last executed SAM operation.
- SAMConnection->error — Contains the text description of the last failed SAM operation.
- SAMConnection->isConnected — Queries whether a connection is established to a Messaging Server
- SAMConnection->peek — Read a message from a queue without removing it from the queue.
- SAMConnection->peekAll — Read one or more messages from a queue without removing it from the queue.
- SAMConnection->receive — Receive a message from a queue or subscription.
- SAMConnection->remove — Remove a message from a queue.
- SAMConnection->rollback — Cancels (rolls back) an in-flight unit of work.
- SAMConnection->send — Send a message to a queue or publish an item to a topic.
- SAMConnection::setDebug — Turn on or off additional debugging output.
- SAMConnection->subscribe — Create a subscription to a specified topic.
- SAMConnection->unsubscribe — Cancel a subscription to a specified topic.
- SAMMessage->body — The body of the message.
- SAMMessage->__construct — Creates a new Message object
- SAMMessage->header — The header properties of the message.

SAM
SAMConnection->commit
SAM
PHP Manual